DocBook XSL Stylesheets Developer Reference
Prev |  | Next

# DocBook XSL Stylesheets Developer Reference

This is technical reference documentation for developers using the DocBook XSL Stylesheets. It is not intended to be user documentation, but is instead provided for developers writing customization layers for the stylesheets.

Table of Contents

1. XSL Library Template Reference
  1.1. General Library Templates
  1.2. Relative URI Functions
2. Common Template Reference
  2.1. Common » Base Template Reference
  2.2. Common » Refentry Metadata Template Reference
  2.3. Common » Utility Template Reference
  2.4. Common » Character-Map Template Reference
3. Formatting Object Table Reference
  calc.column.width — Calculate an XSL FO table column width specification from a CALS table column width specification.
4. Titlepage Template Stylesheet Reference
  t:templates — Construct a stylesheet for the templates provided
  xsl:* — Copy xsl: elements straight through
  t:titlepage — Create the templates necessary to construct a title page
  @* (in copy.literal.atts mode) — Copy t:titlepage attributes
  t:titlepage-content — Create templates for the content of one side of a title page
  t:titlepage-separator — Create templates for the separator
  t:titlepage-before — Create templates for what precedes a title page
  * (in copy mode) — Copy elements
  @* (in copy mode) — Copy attributes
  * (in document.order mode) — Create rules to process titlepage elements in document order
  * (in document.order mode) — Create rules to process titlepage elements in stylesheet order
  * (in titlepage.specialrules mode) — Create templates for special rules
  * (in titlepage.subrules mode) — Create template for individual special rules
  t:or — Process the t:or special rule
  t:or (in titlepage.subrules mode) — Process the t:or special rule in titlepage.subrules mode
  element-or-list — Construct the "or-list" used in the select attribute for special rules.

Prev |  | Next
dbtex_delims | Home | Part 1. XSL Library Template Reference